Docky: The finest dock no money can buy!

2.2.1 "Don't get your hopes too high" (2015-09-02)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 BUILD
 * Drop gnome-desktop-sharp-2.0, rsvg2-sharp-2.0
 * Use dbus-sharp-(glib-)2.0, gkeyfile-sharp
 * Use internal copy of libwnck-1.0 bindings
 * Don't create a private copy of gio-sharp-2.0

 DOCKLETS:
 * SessionManager: Use logind for suspend and hibernate
 * SessionManager: Drop support for deprecated DeviceKit and PowerManager

2.2.0 "Sneak it in you system" (2013-05-02)
===============================================================================
 * New Feature Release
   + new docklets:
     - NetworkMonitor
 * update translations

 CORE:
 * Accept dropping of every file when no MimeType specified (LP: #986693)
 * Docky click area larger than visible in panel mode (LP: #730959)
 * Gconf key to suppress compositing warning. (LP: #754064)
 * Error building with mono 3 (LP: #1097805)

 DOCKLETS:
 * CPU Monitor Docklet doesn't launch System Monitor in KDE (LP: #779181)
 * Add systemd support for SessionManager

2.1.4 "Rediscovered friend" (2012-03-24)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * matcher: fix for libreoffice 3.4+ (LP: #823834)
 * add support building with dmcs

2.1.3 "Paper cut" (2011-06-15)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * prevent crash if a desktop-file contains invalid values (LP: #757140)

2.1.2 "Docks love Mono" (2011-04-06)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * fix drawing with mono 2.10+
 * fix problem with curtain when struts are set
 * fix crash when drag/droping onto docky and nautilus isnt drawing desktop
   (LP: #574817)
 * fix nm docklet crashing docky on startup if nm isnt running (LP: #738955)
 * fix item-drop at the first place (LP: #708772)


2.0.13 "Crossroads" (2011-04-06)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * fix drawing with mono 2.10+
 * fix crash when drag/droping onto docky and nautilus isnt drawing desktop
   (LP: #574817)
 * fix nm docklet crashing docky on startup if nm isnt running (LP: #738955)
 * fix item-drop at the first place (LP: #708772)


2.1.1 "Just do your things" (2011-03-10)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * clamping values coming in from gconf
 * drop global autostart default (LP: #670939)
 * make sure our launcher shows up by default
 * fix dock dim animation on external drags (LP: #727645)
 * fix tooltips showing wrong on external drags
 * fix crash if 'poof.png' is missing
 * try to trap crashes coming from libnotify (LP: #678426)
 * fix crash when emptying trash and cant access a file (LP: #717875)
 * tweak the item message rendering a bit
 * slightly zoom icons during drag (LP: #707658)


2.0.12 "Simple acting" (2011-03-10)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * fix animations (LP: #672054)
 * clamping values coming in from gconf
 * drop global autostart default (LP: #670939)
 * make sure our launcher shows up by default
 * fix tooltips showing wrong on external drags
 * fix crash if 'poof.png' is missing
 * try to trap crashes coming from libnotify (LP: #678426)
 * fix crash when emptying trash and cant access a file (LP: #717875)
 * slightly zoom icons during drag (LP: #707658)


2.1.0 "This is it" (2011-02-10)
===============================================================================
 * New Feature Release
   + new docklets:
     - Clippy, Desktop, SessionManager, Timer, WorkspaceSwitcher
   + many new hidden gconf-settings for power-users ;-)
   + implement DockManager DBus API
     - all helper scripts are moved to dockmanager project on launchpad.net
   + a whole bunch of Wishlist bug-fixes!!!


2.0.11 "Clean up your desktop" (2011-01-16)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * fix event-driven icon-update of MenuItemWidget
 * fix Gdk.Pixbuf leak in MenuItem and MenuItemWidget
 * add docky.desktop to translations
 * fix startup-activation of plugins
 * unregister of an event in DockWindow.Dispose was missing
 * make sure to ignore launchers with Hidden set (LP: #700203)
 * don't set geo on notifications (LP: #506084)
 * don't have Log.Notify use string.Format, which causes random bugs such as 
   gmail breaking when messages contain {} in the subject (LP: #697981)

 DOCKLETS:
 * NetworkMananger: fix typo and catch exception to prevent crash if dbus 
   access isn't granted


2.0.10 "Nice and Easy" (2011-01-04)
===============================================================================
 * Bug-fix and Maintenance Release

 CORE:
 * fix unhiding when there are multiple, differently sized monitors
   (LP: #625332)
 * add manpage
 * some optimizations

 DOCKLETS:
 * fix RecentDocuments (LP: #660179)


2.0.9 "You can count on us" (2011-01-01)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * fix compilation with mono 2.8+ (LP: #502650)
   remove dependency on Mono.GetOptions, which is obsolete and use a bundled
   Mono.Options source
 * add better implementation of DockySurface.LoadToPixbuf
 * fix potential X crash when hovertexts are reallllllllly long...
 * fix the helper tile not properly toggling (caused by gconf buffering 
   updates) (LP: #694117)
 * fix ArgumentOutOfRangeException for pids.ElementAt(...)
 * add missing disposals of fileenumerator
 * let FileDockItems open on middle click

 DOCKLETS:
 * fix a problem with bookmarks crashing when reading bad bookmark files


2.0.8 "Turn it on again" (2010-12-03)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * change location of autostart file to ~/.config/autostart/docky.desktop 
   (LP: #653981)
 * add window-matcher support for LibreOffice
 * fix hovertext for RTL font locales (LP: #610145)
 * some better pixbuf handling
 * fix indicators not updating on state changes (LP: #656653)
 * fix crash if a file delete fails (LP: #604234)
 * make sure separators dont darken
 * fix typo in log message
 * fix a NRE in the debug messages
 * make window manager checkbox grey out when checked, so its clear it 
   can't be unchecked (LP: #657678)
 * make sure everything uses the services RunOnMainThread instead of 
   calling Gtk.App.Invoke directly
 * protect the system service events from crashing docklets and make 
   the events thread safe

 DOCKLETS:
 * Bookmarks: make sure to update hovers
 * Battery: now uses UPower if its available, then checks /sys/ 
   then defaults back to /proc/ (LP: #617293)
 * Gmail: 
   - fix race condition when manually reloading gmail 
     (LP: #675001, LP: #675002)
   - fix underscores in email topics making mnemonics in menus (LP: #673181)
   - fix crash when adding/removing gmail labels (LP: #670666)
 * fix gmail/weather not working on reboot (LP: #661923)


2.0.7 "Your friendly docking station" (2010-10-02)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * modify and fix align of 3D separator
 * a little nicer 128px icon
 * fix crash with invalid SetAlpha call (LP: #647072)
 * add some more exec matches for OpenOffice (LP: #504486)
 * Properly respect the autostart choice in preferences (LP: #550491)

 DOCKLETS:
 * NPR: fix set of station icon (LP: #636027)
 * Gmail: rename GMail to Gmail (LP: #634627)
 * RecentDocuments: fix crash when opening (LP: #645864)

 HELPER:
 * rhythmbox: add AlbumArt.[jpg|png] to search list
 * make banshee helper not query dbus if banshee is not currently playing 
   (LP: #613197)
 * open terminal here was preventing unmounting external devices (LP: #591918)


2.0.6 "Just lovin' it" (2010-09-01)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * fix check for existing instance
 * hitting ESC should cancel drags (LP: #460071)
 * make sure plugins enabled by default are added to the dock on first run and
   enable Trash docklet by default
 * update badge drawing so the text is consistently sized
 * fix leak of ThemedIcon/FileIcon in IconFromGIcon
 * fix non-square items arent properly darken (LP: #584094)
 * remove MenuList.Dispose which is not really needed, also solves (LP: #609170)
 * shrink config dialog (LP: #591448)

 DOCKLETS:
 * RecentDocs: fix crash (LP: #580723)
 * Mounter: use a better MountItem.UniqueID and don't fill up gconf with 
   useless keys (temporary fix for LP: #600311)
 * Weather: add weather icon for Smoke (LP: #612437)
 * CPUMonitor: fix CPU utilization percentage (LP: #604677)
 * GMail: 
   - add debuging messages to gmail and log web response status when we 
     have a web exception
   - fix crash and leak in Gmail


2.0.5 "Be proud of your dock" (2010-07-01)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations
 * update COPYRIGHT and AUTHORS files

 CORE:
 * remove --debug flag from launcher for lower memory usage
 * update the about dialog credits to list documenters and make translation 
   tab easier to read
 * change url in about dialog to the launchpad project page
 * Window-Matching
   - fix for applications commandline
   - properly match qt creator (LP: #594814)
   - prefer local over global launchers (LP: #588073) (LP: #592841)
   - match prefix for gksudo (LP: #516433)
   - fix nautilus items showing active indicator when desktop 
     is focused (LP: #487113)
   - fix matching wine apps that use a prefixed launcher (LP: #596092)
 * Memory Leaks
   - dispose of calendar painter when the clock item is disposed
   - fix leak in AutoHideManager
   - several fixes using Cairo.Context.Target and Pango.Layout
   - fix leak in PagingPainters
   - fix leak in recursive file-deletion
   - fix leaking SeparatorItems, WnckDockItems
   - fix leaks with FileEmblems
   - fix Pixbuf related leaks
   - fix some leaks regarding FileMonitors
   - fix leaks regarding Tiles and AbtractTileObjects
   - fix leaking Glib.FileAdapter caused by unreferenced Action in FileDockItem
 * Handle invalid desktopfile entry and UriFormatException in 
   FileApplicationProvider (LP: #595921)
 * fix potential crash for invalid HelperMetadata
 * handle drops correctly
 * fix handling of Helpers in HelperService
 * make the sliders in preferences behave better
 * fix drawing of rotated items
 * fix HoveredItem click-position
 * avoids fatal errors on console when loading embedded icons when no 
   height or width is specified and when dock items have a null Icon
 * fix icon theme change not refreshing the dock icons (LP: #590205)
 * fix SVG rendering bug
 * fix iconsize temporarily getting large when adding to full dock (LP: #579576)
 * fix the 'crash in PinToDock' (LP: #588073)
 * make 3d background height more consistent and a tad larger (LP: #503038)
 * fix dragging multiple files to a folder on the dock, which caused 
   a crash and data corruption (LP: #579049)
 * don't request animations if urgent state is removed from a window and 
   fix glow location (LP: #596422)
 * fix window previews being offset (LP: #495065)
 * fix broken zoom after shrinking icon size (LP: #598924)
 * fix problem with hovers still visible when painters show
 * fix displaying default icon in place of missing file emblem (LP: #534651)
 * fix crash when gconf key for menus_have_icons is not set (LP: #573751)
 * make sure painters fit on screen (LP: #589978)
 * fix icon minimize animations not working immediately for some newly 
   opened windows
 * don't dispose our static DockyItem
 * fix CurrentDesktopOnly not working when dragging a window across desktops
   (LP: #600290)

 DOCKLETS:
 * GMail: 
   - fix thread-guards and remove deprecated code
   - fix problem with feeds that dont have an author entry (LP: #595530)
 * NPR: fix bug where removing your last NPR station unloaded the docklet
   and fix station icon
 * NetworkManager: fix crash caused when NM goes away
   and fix icons and add another fallback icon (LP: #588581)
 * Mounter:
   - fixed some leaks
   - only remove mounted items if they were successfully unmounted (LP: #597637)
   - fix duplicate icons showing in mounter (LP: #525306)
 * Weather: fix feels like temp showing incorrect for metric (LP: #597670)
 * RecentDocuments: 
   - fixed some leaks
   - fix sensitivity of recent docs clear menu item - even if docky shows 
     the list as empty does not mean it cant be cleared


2.0.4 "Do you think you're better off alone?" (2010-05-31)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * fix positioning of menus/hovers on multimon setups (LP: #544047)
 * make settings dialog smaller so it fits on netbook screens (LP: #581458)
 * FileApplicationProvider.PinToDock misses a handle-removal 
   This caused a duplicated item when restarting a just pinned application and 
   leads to a crash when trying to pin the new item (LP: #585136)
 * update transient items when moving the active window (LP: #581077)
 * fix crash when a file is on the dock where this file no longer exists 
   (LP: #581074)
 * fix drag'n'drop-hover-strings (LP: #556041)
 * add call to GLib.Thread.Init (LP: #586969)
 * Window-Matching
   - better OpenOffice handling (LP: #486887) (LP: #580275) 
     (LP: #504486) (LP: #580275)
 * Helper
   - fix a crash regarding helpers terminating
   - fix killing helpers from prefs menu
   - fix potential crash when disabling helpers
   - cleanup the helpers, fix a few possible leaks in them

 DOCKLETS:
 * Clock: fix problems with the small clock rendering
 * GMail: 
   - fix compose mail url in GMail docklet for Google app domains (LP: #582212)
   - fix crash when removing a gmail label (LP: #576596)
   - refresh be set up to 1 day (1440 mins) long (LP: #580441)
   - missing string internationalization in GMail
 * RecentDocuments: better locking to avoid crashes when clearing 
   recent documents (LP: #580723)
 * Weather: make sure weather doesn't reload when prefs open (LP: #580314)
 * Bookmarks: stop spurious errors when dragging files over 
   unmounted bookmarks (LP: #580361)
 * NPR: fix failing to load after network comes back up (LP: #523155)

 HELPER:
 * make banshee and rhythmbox helper a bit smarter looking 
   for art-cover-files (LP: #578254)
 * fix class-names in the deluge helper
 * change open terminal here helper to use the gnome default terminal, 
   with a fallback to gnome-terminal if the default is not set
 * fix issues with newer zeitgeist version (LP: #570286)


2.0.3.1 "You should have heard from us by now" (2010-05-03)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * fix gnome-keyring related crash in Lucid caused by GMail docklet (LP: #555562)
 * catch exception for read-failure of cxoffice launcher (LP: #573294)
 * check if authentication is used before using network proxy
 * make sure to update screen regions when showing menus
 * make transparent themed docks still glow in configuration mode (LP: #572416)
 * Memory Leaks
   - some unlinked handlers and pixbufs (DockItemMenu, WindowDockItem, ...)
   - proper disposal of tile-widgets in preferences dialog
   - properly using DesktopAppInfo for launching application

 DOCKLETS:
 * GMail: fix exception when reloading (LP: #573991)
 * Clock: popup menu must always show icons (LP: #574003)

 HELPER:
 * helpers crash when dbus isn't available (LP: #540688)


2.0.2 "Living on the screen's edge" (2010-04-12)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations
 * fix MonoDevelop build
 * update homepage link in about dialog

 CORE:
 * add automatic enabling of --nvidia flag
 * respect system proxy settings (LP: #546135)
 * add directions to select a dock to configure to the settings dialog 
   docklets tab (LP: #555153)
 * fix freeze when MaxIconSize updates (LP: #495155) (LP: #506436) (LP: #518304)
   (LP: #519938) (LP: #543123)
 * add locking to secure preferences, possibly avoid a gnome-keyring 
   related crash
 * fix hiding with fullscreen windows with multiple monitors (LP: #533872)
 * fix right alignment of docklets when no launchers (LP: #550417)
 * fix manual override of Docky icon color (LP: #549154)
 * let urgent glow pulse for 10s (5 pulses)
 * fix render bug with painter icons
 * add UPower support for lucid
 * fix helper status updating in config dialog (LP: #547115)
 * Memory Leaks
   - fix leak associated with GLib.FileInfo
   - fix leak in NativeInterop
   - fix leak in ApplicationDockItem
 * WindowMatcher
   - use a NoDisplay launcher if there isn't already a launcher for that 
     exec (LP: #558755)
   - fix matching executables that end in a version number (LP: #558780)
   - fix OpenOffice.org matching in more cases and clean up matching code
   - add support for matching windows based on StartupWMClass launcher 
     attribute (LP: #518828)
     this gives a workaround/solution for (LP: #484610)
   - fix Wine application matching regression (LP: #552396)
   - fix bug where custom launchers were not being matched (LP: #543837)

 DOCKLETS:
 * adding icon fallbacks to some docklets
 * Gmail: fix handling of labels with strange chars and escaping problems
 * Gmail: fix checking date parse problem (LP: #554333)
 * Mounter: really fix NullReferenceException (LP: #536915)
 * Weather/Gmail: add proper thread shutdown


2.0.1 "We require somewhere new" (2010-03-16)
===============================================================================
 * Bug-fix and Maintenance Release
 * update translations

 CORE:
 * add timeouts to HttpWebRequests
 * properly initialize config window - information-text is not shown when 
   there is more than one dock
 * fix version output on console
 * Handle InvalidOperationException thrown by AddinManger.Initalize
 * properly disable plugin when it gets dragged of a dock
 * set a min height on the calendar painter

 DOCKLETS:
 * GMail: prevent concurrent mail checking
 * Mounter: fix a crash and a possible crash (LP: #536915)
 * RecentDocuments: sort list before limiting it (LP: #538027)
 * Trash: nicer description
 * Weather: prevent concurrent reloads
 * Weather: fix painter crash (LP: #527952)

 HELPER:
 * Banshee: cover folder fix for 1.5.5 (LP: #538728)
 * Helper metadata are not scripts.  Install them as data, rather than as 
   executables


2.0.0 "People love our huge docks" (2010-02-16)
===============================================================================
 * Initial Release


